#
# spec file for package perl-CPAN-Mini
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Mini
Version:        1.111016
Release:        lp152.3.2
%define cpan_name CPAN-Mini
Summary:        Create a Minimal Mirror of Cpan
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Mini/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Zlib) >= 1.20
BuildRequires:  perl(File::HomeDir) >= 0.57
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(LWP::UserAgent) >= 5
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(URI) >= 1
Requires:       perl(Compress::Zlib) >= 1.20
Requires:       perl(File::HomeDir) >= 0.57
Requires:       perl(File::Path) >= 2.04
Requires:       perl(LWP::UserAgent) >= 5
Requires:       perl(URI) >= 1
%{perl_requires}

%description
CPAN::Mini provides a simple mechanism to build and update a minimal mirror
of the CPAN on your local disk. It contains only those files needed to
install the newest version of every distribution. Those files are:

* *

  01mailrc.txt.gz

* *

  02packages.details.txt.gz

* *

  03modlist.data.gz

* *

  the last non-developer release of every dist for every author

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.111016
  see /usr/share/doc/packages/perl-CPAN-Mini/Changes
  1.111016  2014-08-08 18:52:05-04:00 America/New_York
  - cope with a difference in the 02packages headers made by Pinto
    (thanks, Fabrice Gabolde)
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.111015
  update repo and bugtracker
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.111014
    prune overly-aggressively-set prereqs; we do not require CPANPLUS!
* Mon Jun  3 2013 coolo@suse.com
- updated to 1.111013
    make www.cpan.org the default remote!
    link to the list of mirrors, too (thanks, SYSMON!)
    pass all options from command line, not just known ones (thanks,
    Jeffrey Thalhammer, who waited a very very long time for me to apply
    this!)
    add --remote-from option to get remote from CPAN or CPANPLUS config
    (thanks, Jeff Bisbee, who also waited a long time)
    expand leading "~" in config file name (suggested by justincase)
    die if local target isn't writable (suggested by SARGIE)
    when testing, mock my_home harder (thanks, David Golden!)
    check that the received 02packages seems at least remotely plausible
    fix the old ->trace method, broken in 1.111004
    config options that once had to be specified as multiple entries
    on one line may now be given as repeated entries; these are
    also_mirror, module_filters, and path_filters
* Mon Feb 13 2012 coolo@suse.com
- updated to 1.111008
    don't fail tests when the outside env has set CPAN_MINI_CONFIG
    (thanks, Stephen Thirwall!)
* Tue May 31 2011 coolo@novell.com
- updated to 1.111007
    run the test minicpan in offline mode to avoid tester errors
    set the default log_level much earlier, to avoid an undef warning
    no code changes, this release is just intended to be indexed
    overhaul logging: there is now a log_level
    delay creation of scratch dir until needed
    a bunch of tests added for switch and config processing
    add tools for building a fake cpan and an xt test for testing online
    test for online-ness by HEAD-ing 02packages, not the remote root
* Fri Apr  8 2011 coolo@novell.com
- initial package 1.111001
  * created by cpanspec 1.78.04
